From 1025dd8faf6e83a24670188159f035667ec8ceb4 Mon Sep 17 00:00:00 2001
From: Srinath Reddy Sadipiralla <srinath.reddy@zohocorp.com>
Date: Thu, 5 Dec 2024 18:12:15 +0530
Subject: [PATCH] [Ref] remove local buffer checks

---
 src/backend/storage/buffer/bufmgr.c | 22 ++--------------------
 1 file changed, 2 insertions(+), 20 deletions(-)

diff --git a/src/backend/storage/buffer/bufmgr.c b/src/backend/storage/buffer/bufmgr.c
index 6181673095..8eb1fb63d7 100644
--- a/src/backend/storage/buffer/bufmgr.c
+++ b/src/backend/storage/buffer/bufmgr.c
@@ -2460,16 +2460,7 @@ BufferIsExclusiveLocked(Buffer buffer)
 {
 	BufferDesc *bufHdr;
 
-	if (BufferIsLocal(buffer))
-	{
-		int			bufid = -buffer - 1;
-
-		bufHdr = GetLocalBufferDescriptor(bufid);
-	}
-	else
-	{
-		bufHdr = GetBufferDescriptor(buffer - 1);
-	}
+	bufHdr = GetBufferDescriptor(buffer - 1);
 
 	Assert(BufferIsPinned(buffer));
 	return LWLockHeldByMeInMode(BufferDescriptorGetContentLock(bufHdr),
@@ -2489,16 +2480,7 @@ BufferIsDirty(Buffer buffer)
 {
 	BufferDesc *bufHdr;
 
-	if (BufferIsLocal(buffer))
-	{
-		int			bufid = -buffer - 1;
-
-		bufHdr = GetLocalBufferDescriptor(bufid);
-	}
-	else
-	{
-		bufHdr = GetBufferDescriptor(buffer - 1);
-	}
+	bufHdr = GetBufferDescriptor(buffer - 1);
 
 	Assert(BufferIsPinned(buffer));
 	Assert(LWLockHeldByMeInMode(BufferDescriptorGetContentLock(bufHdr),
-- 
2.39.3 (Apple Git-146)

